#ifndef CONST_H_
#define CONST_H_


const int DOUBLEINT = 1000;



//TYPE_EXECUTION,TYPE_SCORE_ALIGN, TYPE_SCORE_TRANSITION, TYPE_DISTANCE_EVOLUTION, TYPE_FILTER, TYPE_FILE_OUT, TYPE_FILE_IN
const int TYPE_EXECUTION = 0;
const int TYPE_SCORE_ALIGN = 1;
const int TYPE_SCORE_TRANSITION = 2;
const int TYPE_DISTANCE_EVOLUTION = 3;
const int TYPE_FILTER = 4;
const int TYPE_FILE_OUT = 5;
const int TYPE_FILE_IN = 6;
const int TYPE_HEADER = 7;

// BPARAM_CUT_ALIGN; BPARAM_EDGE_OVERLAP; BPARAM_TRANSITION; BPARAM_PENALITY_EXTEND_GAP; BPARAM_MIDDLE_ALIGN; BPARAM_REVERSE_MODE; BPARAM_FORWARD_QUERY_SUBJECT; BPARAM_EDGE_TANDEM; BPARAM_NO_TEETH_CHAIN; BPARAM_FILTER_TEETH_CHAIN; BPARAM_OVERLAP_BONUS; BPARAM_SAME_POLARITY; BPARAM_SLOPE_BONUS
const int BPARAM_CUT_ALIGN = 0;
const int BPARAM_EDGE_OVERLAP = 1;
const int BPARAM_TRANSITION = 2;
const int BPARAM_PENALITY_EXTEND_GAP = 3;
const int BPARAM_MIDDLE_ALIGN = 4;
const int BPARAM_REVERSE_MODE = 5;
const int BPARAM_ORDER = 6;
const int BPARAM_EDGE_TANDEM = 7;
const int BPARAM_NO_TEETH_CHAIN = 8;
const int BPARAM_FILTER_TEETH_CHAIN = 9; 
const int BPARAM_OVERLAP_BONUS = 10;
const int BPARAM_SAME_POLARITY = 11;
const int BPARAM_SLOPE_BONUS = 12;
const int BPARAM_SAME_SPECIE = 13;
const int BPARAM_DIST_MAX_AUTO = 14;
const int BPARAM_GLOBAL_VALIDATION_OVERLAP = 15;
const int BPARAM_UNIT_TANDEM_QUERY = 16;
const int BPARAM_MAX_EDGE = 17;

//PARAM_DIST_MAX, PARAM_SCORE_MAX_ALIGN,PARAM_GAP_UNIT_LEN,PARAM_PENALITY_EXTEND_GAP, PARAM_NUMBER_MIN_ALIGN, PARAM_SCORE_MIN_CHAIN, PARAM_SCORE_MIN_SUBCHAIN, PARAM_MEAN_SCORE_ANCHOR, PARAM_MEAN_SCORE_TRANSITION
const int PARAM_DIST_MAX_QUERY = 0;
const int PARAM_DIST_MAX_SUBJECT = 9;
const int PARAM_SCORE_MAX_ALIGN = 1;
const int PARAM_GAP_UNIT_LEN = 2;
const int PARAM_PENALITY_EXTEND_GAP = 3;
const int PARAM_NUMBER_MIN_ALIGN = 4;
const int PARAM_SCORE_MIN_CHAIN = 5;
const int PARAM_SCORE_MIN_SUBCHAIN = 6;
const int PARAM_MEAN_SCORE_ANCHOR = 7;
const int PARAM_MEAN_SCORE_TRANSITION = 8;
const int PARAM_COEF_CORRELATION = 10;
const int PARAM_NUMBER_MAX_ALIGN = 11;
const int PARAM_DISTANCE_DIAG = 12;
const int PARAM_UNIT_LENGTH = 13;
const int PARAM_UNIT_START = 14;
const int PARAM_UNIT_END = 15;
const int PARAM_MAX_EDGE = 16;
const int PARAM_PIDENTITY_SINGLETON = 17;
const int PARAM_MIN_LENGTH_SINGLETON = 18;
const int PARAM_DIST_MAX_BETWEEN_ANCHOR = 19;

#endif /*CONST_H_*/
