/*
   $Id: options.h 1424 2008-03-06 09:07:57Z tfaraut $
*/


#ifndef __OPTIONS_H__
#define __OPTIONS_H__

#include "SimpleOpt.h"

/*

 Both programs, dnaindex and glint share the same set of options in order to enable the auto-indexing mode.
 We put therefore the set of options in this single options.h file

 */

enum {
	OPT_ANCHORSOUT,
	OPT_BANK_NAME,
	OPT_BLASTPOUT,
	OPT_COMPLEXITY,
	OPT_CUTOFF_DYN,
	OPT_CUTOFF_HSP,
	OPT_CUTOFFS,
	OPT_CUTOFF_SLIDE,
	OPT_DEEPEST_LEVEL,
	OPT_FILL,
	OPT_GENOME,
	OPT_GAP_OPENING,
	OPT_GAP_EXTENSION,
	OPT_GLINTOUT,
	OPT_HELP,
	OPT_LENGTH_RATIO_MIN,
	OPT_LOG_LEVEL,
	OPT_LOWER_LEVEL,
	OPT_MASK,
	OPT_MATCH,
	OPT_MISMATCH,
	OPT_MAX_COUNT,
	OPT_MAX_GAP,
	OPT_MAX_MIS,
	OPT_MAXOVERLAP,
	OPT_NB_PASS,
	OPT_NOGAP,
	OPT_NORBH,
	OPT_OUTPUTFORMAT,
	OPT_OUTPUTSTREAM,
	OPT_PIPE,
	OPT_RESULTSFILENAME,
	OPT_SCORE_RATIO_MIN,
	OPT_SELF,
	OPT_SILENT,
	OPT_SIZE_MIN,
	OPT_SLICESIZE,
	OPT_STEP,
	OPT_STRICT,
	OPT_TANDEM,
	OPT_TARGETDIR,
    OPT_VERBOSE
	};

#endif
